<?php
session_start();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Untitled Document</title>
</head>
<body>
<h2> ΑΠΟΣΤΟΛΗ ΜΗΝΥΜΑΤΩΝ SMS </h2>

<?php
require "dbconnect.php";
?>	

<form method="post" name = "smsform">

ΗΜΕΡΟΜΗΝΙΑ: <input type="date"  name = 'dt' value =<?php if (isset($_POST['dt'])) { echo $dt;$_SESSION['dt']=$dt; } else {$dt=date('Y-m-d');echo $dt;} ?> autofocus  ></p>

<b>ΕΠΕΛΕΞΕ ΣΕ ΠΟΙΟΥΣ ΘΑ ΣΤΑΛΕΙ ΤΟ ΜΗΝΥΜΑ:</b>
<br />
  <select name="anaf" size="7"  >
  <option value=1>ΣΕ ΟΛΟΥΣ ΤΟΥΣ ΓΟΝΕΙΣ</option>
  <option value=2>ΣΕ ΤΑΞΗ (Α,Β,Γ) </option>
  <option value=3>ΣΕ ΤΜΗΜΑ</option>
  <option value=4>ΣΕ ΕΠΙΛΕΓΜΕΝΟΥΝΣ ΜΑΘΗΤΕΣ </option>
  <option value=5>ΣΤΟΥΣ ΚΑΘΗΓΗΤΕΣ</option>
  <option value=6>ΣΕ ΣΥΓΚΕΚΡΙΜΜΕΝΟ ΑΡΙΘΜΟ/ΟΥΣ</option>
  <select><br /><br />
  <?php
  $sms=" ";
  echo "<br >"."ΚΑΘΟΡΙΣΜΟΣ MHNYMAΤΟΣ :"."<br >";; 
  echo "<textarea name='sms' cols='80' rows='2'> $sms </textarea >"."<br >"; 
  ?>
  <br /> 
   <input type="submit" name="submit1" value="Επιλογή Διαδικασίας" >
</form>

<?php

if(isset($_POST['submit1']))
{
$sms=$_POST['sms'];	
$_SESSION['sms']=$sms;
//............................................
if ($anaf == 1) {	
	$sql = mysqli_query($con, "SELECT DISTINCT kinito FROM allstudentinfo");
	$c=mysqli_num_rows($sql);
	echo $c; 
	$i=1;
	while ($row = mysqli_fetch_array($sql)) 
{
	if ($row['kinito'] <> "") {$tsms[$i]=$row['kinito'];}
   	$i++;
	
}
	
	
	$_SESSION['tel']=$tsms;
	$_SESSION['sms1']=trim($sms);
	echo "sending sms";
	
	include "sendsms.php";     
	}
//..........................................
if ($anaf == 2) {	
	echo "<br>"." ΕΠΙΛΟΓΗ ΤΑΞΗΣ";
?>
<form method="POST" action="taksi.php" >
<select name="taksi">
<option value="Α">Α ΤΑΞΗ</option>
<option value="Β">Β ΤΑΞΗ</option>
<option value="Γ">Γ ΤΑΞΗ</option>
</select>
<input type="Submit" name= "select" value="Επιλογή Τάξης">
</form>
<?php
}
if ($anaf == 3) {
	
}
//....................................................................... 4
if ($anaf == 4) {	
$sql = "SELECT DISTINCT tmima FROM allstudentinfo ";
$result = mysqli_query($con,$sql);
?>

<form  method="post" action = > 
<?php
echo "<select name='tmim'>";
while ($row = mysqli_fetch_array($result)) 
{
	$tmima=$row['tmima'];
   	echo "<option value ='".$tmima."'>".$tmima."</option>";
	;
}
echo "</select>";
?>	
<input type="Submit" name="eptmima" value="Επιλογή Τμήματος" >
</form>
<?php
if (isset ($_POST['eptmima'])) $tm1=$_POST['tmim'];
?>


<form  method="post" action= > 
<?php

$sql = "SELECT DISTINCT kinito  FROM allstudentinfo WHERE tmima='$tm1'";
$result = mysqli_query($con,$sql);

echo "Για πολλαπλή επιλογή κρατήστε πατημένο το CTRL κάνοντας κλικ στον μαθητή. Πατήστε 'Επιλογή Μαθητών' για καταχώρηση";
echo "<BR >";
$i=1;
echo "<select name='pmp1[]'  size='25' multiple>";
while ($row = mysqli_fetch_array($result)) 
{
	$am=$row['mitroo'];
	$nm=$row['onoma'];
	$epo=$row['eponimo'];
   	echo "<option value ='".$am."'>".$am." ".$tm1." ".$epo." ".$nm."</option>";
	$i++;
}
    echo "<input type='hidden' name='tmep' value='$tm1'>";
echo "</select>";

?>	
<input type="Submit" name="continue" value="Επιλογή Μαθητών"  >
<input type="Submit" name="exit1" value="Εξοδος"  >
</form>	

<?php

}
// apostoli sms se kathigites
if ($anaf == 5) {
    $sms=$_POST['sms'];	

    echo "ΑΠΟΣΤΟΛΗ ΜΗΝΥΜΑΤΟΣ ΣΕ ΟΛΟΥΣ ΤΟΥΣ ΚΑΘΗΓΗΤΕΣ";

    $sql = mysqli_query($con, "SELECT kinito FROM teachers where kinito > 0 ");
	$c=mysqli_num_rows($sql);
	echo $c; 
	$i=1;
	while ($row = mysqli_fetch_array($sql)) 
{
	if ($row['kinito'] <> "") {$tsms[$i]=$row['kinito'];}
   	$i++;
	
}
	
	$_SESSION['tel']=$tsms;
	$_SESSION['sms1']=trim($sms);
	echo "sending sms";
	
	include "sendsms.php";  

}
//apostoli sms se sigkekrimmeno arithmo / arithmous
if ($anaf == 6) {
$sms=$_POST['sms'];	
?>

<h3>ΑΠΟΣΤΟΛΗ ΜΗΝΥΜΑΤΟΣ ΣΕ ΣΥΓΚΕΚΡΙΜΜΕΝΟ ΑΡΙΘΜΟ/ΟΥΣ</h3>
<form  method="post" action="gosms.php" > 
<br />
Αριθμός: <input type='text' name='kinitonum[]' size=9  />
<input type='text' name='sms' value= <?php echo $sms;?> hidden  />
<br />
<input type="Submit" name="apostoli" value="ΑΠΟΣΤΟΛΗ SMS" >

</form>	

<?php

}
}	 
?>

	
</body>
</html>